package org.dive4elements.hibernate;

import java.util.HashMap;
import java.util.Map;

import org.hibernate.transform.BasicTransformerAdapter;

public class MapResultTransformer
extends      BasicTransformerAdapter
{
    public static final MapResultTransformer INSTANCE =
        new MapResultTransformer();

    public MapResultTransformer() {
    }

    @Override
    public Object transformTuple(Object [] tuple, String [] aliases) {
        Map<String, Object> map = new HashMap<String, Object>();
        for (int i = 0; i < tuple.length; ++i) {
            map.put(aliases[i], tuple[i]);
        }
        return map;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
